> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Lock a Lock

> Locks a [lock](https://docs.seam.co/low-level-apis/smart-locks). See also [Locking and Unlocking Smart Locks](https://docs.seam.co/low-level-apis/smart-locks/lock-and-unlock).



## OpenAPI

````yaml /openapi.json post /locks/lock_door
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /locks/lock_door:
    post:
      tags:
        - /locks
      summary: Lock a Lock
      description: >-
        Locks a [lock](https://docs.seam.co/low-level-apis/smart-locks). See
        also [Locking and Unlocking Smart
        Locks](https://docs.seam.co/low-level-apis/smart-locks/lock-and-unlock).
      operationId: locksLockDoorPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_id:
                  description: ID of the lock that you want to lock.
                  format: uuid
                  type: string
                sync:
                  default: false
                  type: boolean
                  x-undocumented: Only used internally.
              required:
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  action_attempt:
                    type: object
                    description: >-
                      Tracks the progress of this operation. Poll using the
                      action_attempt_id.
                    properties:
                      action_attempt_id:
                        type: string
                        format: uuid
                        description: ID of the action attempt.
                      action_type:
                        type: string
                        enum:
                          - LOCK_DOOR
                        description: Type of action being tracked.
                      status:
                        type: string
                        enum:
                          - pending
                          - success
                          - error
                        description: Current status of the action.
                      result:
                        type: object
                        nullable: true
                        description: Result payload on success.
                      error:
                        type: object
                        nullable: true
                        description: Error details on failure.
                        properties:
                          type:
                            type: string
                          message:
                            type: string
                    required:
                      - action_attempt_id
                      - action_type
                      - status
                  ok:
                    type: boolean
                required:
                  - action_attempt
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - client_session_with_customer: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.locks.lockDoor({
              device_id: "9a31853e-4db0-4d78-b21d-f50c8dbdb9dc",
            });

            /*
            {
              "action_attempt_id": "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
              "action_type": "LOCK_DOOR",
              "error": null,
              "result": {},
              "status": "success"
            }
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/locks/lock_door" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "9a31853e-4db0-4d78-b21d-f50c8dbdb9dc"
            }

            EOF


            # Response:

            # {

            #   "action_attempt": {

            #     "action_attempt_id": "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",

            #     "action_type": "LOCK_DOOR",

            #     "error": null,

            #     "result": {},

            #     "status": "success"

            #   }

            # }
        - lang: python
          label: Seam SDK
          source: >-
            seam.locks.lock_door(device_id="9a31853e-4db0-4d78-b21d-f50c8dbdb9dc")


            # ActionAttempt(
                action_attempt_id="3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
                action_type="LOCK_DOOR",
                error=None,
                result={},
                status="success",
            )
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.locks.lock_door(device_id:
            "9a31853e-4db0-4d78-b21d-f50c8dbdb9dc")


            # => {
              "action_attempt_id" => "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
              "action_type" => "LOCK_DOOR",
              "error" => nil,
              "result" => {
              },
              "status" => "success",
            }
        - lang: php
          label: Seam SDK
          source: >-
            $seam->locks->lock_door(device_id:
            "9a31853e-4db0-4d78-b21d-f50c8dbdb9dc");


            // [
                "action_attempt_id" => "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
                "action_type" => "LOCK_DOOR",
                "error" => null,
                "result" => [],
                "status" => "success",
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam locks lock-door --device_id
            "9a31853e-4db0-4d78-b21d-f50c8dbdb9dc"


            # {

            #   "action_attempt_id": "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",

            #   "action_type": "LOCK_DOOR",

            #   "error": null,

            #   "result": {},

            #   "status": "success"

            # }
components:
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````